Apache Struts API Documentation: Class MessageResourcesFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.util
Class MessageResourcesFactory

    java.lang.Object
      |
      +--org.apache.struts.util.MessageResourcesFactory

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PropertyMessageResourcesFactory

public abstract class MessageResourcesFactory
extends java.lang.Object
implements java.io.Serializable

Factory for `MessageResources` instances. The general usage pattern for this class is:

- Call `MessageResourcesFactory().createFactory()` to retrieve a `MessageResourcesFactory` instance.
- Set properties as required to configure this factory instance to create `MessageResources` instances with desired characteristics.
- Call the `createResources()` method of the factory to retrieve a newly instantiated `MessageResources` instance.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected static java.lang.Class` | `clazz` The Java class to be used for `MessageResourcesFactory` instances.
`protected static java.lang.String` | `factoryClass` The fully qualified class name to be used for `MessageResourcesFactory` instances.
`protected boolean` | `returnNull` The "return null" property value to which newly created MessageResourcess should be initialized.

Constructor Summary
`MessageResourcesFactory()`

Method Summary
`static MessageResourcesFactory` | `createFactory()` Create and return a `MessageResourcesFactory` instance of the appropriate class, which can be used to create customized `MessageResources` instances.
`abstract MessageResources` | `createResources(java.lang.String config)` Create and return a newly instansiated `MessageResources`.
`static java.lang.String` | `getFactoryClass()`
`boolean` | `getReturnNull()`
`static void` | `setFactoryClass(java.lang.String factoryClass)`
`void` | `setReturnNull(boolean returnNull)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### returnNull

    protected boolean returnNull

  The "return null" property value to which newly created MessageResourcess should be initialized.

### clazz

    protected static transient java.lang.Class clazz

  The Java class to be used for `MessageResourcesFactory` instances.

### factoryClass

    protected static java.lang.String factoryClass

  The fully qualified class name to be used for `MessageResourcesFactory` instances.

Constructor Detail

### MessageResourcesFactory

    public MessageResourcesFactory()

Method Detail

### getReturnNull

    public boolean getReturnNull()

### setReturnNull

    public void setReturnNull(boolean returnNull)

### createResources

    public abstract MessageResources createResources(java.lang.String config)

  Create and return a newly instansiated `MessageResources`. This method must be implemented by concrete subclasses.
  Parameters:
    `config` - Configuration parameter(s) for the requested bundle

### getFactoryClass

    public static java.lang.String getFactoryClass()

### setFactoryClass

    public static void setFactoryClass(java.lang.String factoryClass)

### createFactory

    public static MessageResourcesFactory createFactory()

  Create and return a `MessageResourcesFactory` instance of the appropriate class, which can be used to create customized `MessageResources` instances. If no such factory can be created, return `null` instead.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation